Name: tre
Version: 0.7.6
Release: 1
License: LGPLv2+
Group: System Environment/Libraries
Source0: http://laurikari.net/tre/%{name}-%{version}.tar.bz2
Summary: POSIX compatible regexp library with approximate matching
URL: http://laurikari.net/tre/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gettext-devel >= 0.17
Requires: gettext >= 0.17

%description
TRE is a lightweight, robust, and efficient POSIX compatible regexp
matching library with some exciting features such as approximate
matching.

The library is available as 32-bit and 64-bit.


%package devel
Requires: %{name} = %{version}-%{release}
Requires: gettext-devel >= 0.17
Summary: Development files for use with the tre package
Group: Development/Libraries

%description devel
This package contains header files and static libraries for use when
building applications which use the TRE library.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%package -n agrep
Summary: Approximate grep utility
Group: Applications/Text
Requires: %{name} = %{version}-%{release}
Requires: gettext >= 0.17

%description -n agrep
The agrep tool is similar to the commonly used grep utility, but agrep
can be used to search for approximate matches.

The agrep tool searches text input for lines (or records separated by
strings matching arbitrary regexps) that contain an approximate, or
fuzzy, match to a specified regexp, and prints the matching lines.
Limits can be set on how many errors of each kind are allowed, or
only the best matching lines can be output.

Unlike other agrep implementations, TRE agrep allows full POSIX
regexps of any length, any number of errors, and non-uniform costs.


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="cc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp lib/.libs/libtre.so.4 .
make distclean

# now build the 32-bit version
export CC="cc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q lib/.libs/libtre.a ./libtre.so.4


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING.LESSER INSTALL LICENSE NEWS README THANKS TODO
%doc doc/*.html doc/*.css
%{_libdir}/*.a
%{_datadir}/locale/*
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
/usr/include/*
/usr/lib/*.la


%files -n agrep
%defattr(-,root,system,-)
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Wed Sep 30 2009 Michael Perzl <michael@perzl.org> - 0.7.6-1
- updated to version 0.7.6

* Mon Jun 30 2008 Michael Perzl <michael@perzl.org> - 0.7.5-1
- first version for AIX V5.1 and higher
